import DataLoader from 'dataloader';
import { AdminContextProvider } from '../../admin-context/providers/admin-context.provider.js';
import { TenantAwareDBClient } from '../../app-providers/tenant-db-client.js';
import type { BusinessTripProto, IGetBusinessTripsByDatesParams, IInsertBusinessTripParams, IUpdateAccountantApprovalParams, IUpdateBusinessTripParams } from '../types.js';
export declare class BusinessTripsProvider {
    private db;
    private adminContextProvider;
    constructor(db: TenantAwareDBClient, adminContextProvider: AdminContextProvider);
    getAllBusinessTrips(): Promise<BusinessTripProto[]>;
    private batchBusinessTripsByIds;
    getBusinessTripsByIdLoader: DataLoader<string, BusinessTripProto | undefined, string>;
    private batchBusinessTripByChargeIds;
    getBusinessTripsByChargeIdLoader: DataLoader<string, import("../types.js").IGetBusinessTripsByChargeIdsResult | undefined, string>;
    private batchChargeIdsByBusinessTripIds;
    getChargeIdsByBusinessTripIdLoader: DataLoader<string, string[], string>;
    getBusinessTripsByDates(params: IGetBusinessTripsByDatesParams): Promise<import("../types.js").IGetBusinessTripsByDatesResult[]>;
    updateChargeBusinessTrip(chargeId: string, businessTripId: string | null): Promise<void[] | import("../types.js").IUpdateChargeBusinessTripResult[]>;
    updateBusinessTrip(params: IUpdateBusinessTripParams): Promise<import("../types.js").IUpdateBusinessTripResult[]>;
    insertBusinessTrip(params: IInsertBusinessTripParams): Promise<import("../types.js").IInsertBusinessTripResult[]>;
    updateAccountantApproval(params: IUpdateAccountantApprovalParams): Promise<import("../types.js").IUpdateAccountantApprovalResult[]>;
    clearCache(): void;
}
